Bug 149725 - Undefined symbol error: g_return_if_fail_warning
Undefined symbol error: g_return_if_fail_warning
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2005-02-25 14:32 EST by Jannis Pohlmann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-26 06:15:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jannis Pohlmann 2005-02-25 14:32:26 EST
Description of problem:
The tool does not start. Instead a window with an error message
appears (directly after the root password query, if a user tries to
run it).

Version-Release number of selected component (if applicable):

How reproducible:
Run system-config-network

Actual results:
Window with error message. system-config-network does not start.

Expected results:
system-config-network starting without errors
Comment 1 Jannis Pohlmann 2005-02-25 14:33:03 EST
The error message that is shown:

Component: system-config-network
Version: 1.3.17
Summary: TB8867138a system-config-network-gui:140:main:ImportError:
/usr/lib/libglade-2.0.so.0: undefined symbol: g_return_if_fail_warning
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 140, in main
    import gtk.glade
ImportError: /usr/lib/libglade-2.0.so.0: undefined symbol:

Local variables in innermost frame:
splash_window: None
splash: 0
NC_functions: <module 'netconfpkg.NC_functions' from
gnome: <module 'gnome' from
Comment 2 Jannis Pohlmann 2005-02-26 06:03:23 EST
Other system-config-... tools hat problems with libglade, too. I had
libglade-2.4.0-5_1.rhfc2.at (ATrpms) installed. After I switched back
to  libglade-2.3.6-1 (Freshrpms) at least some tools started again. 

system-config-network still complained about "error while loading
shared libraries: libglade-2.0.so.0: cannot open shared object file:
No such file or directory"

libglade-2.0.so.0 existed but as a symbolic link to
libglade-2.0.so.0.0.4 which did not exist. Instead a
libglade-2.0.so.0.0.3 existed. I re-linked the file:

rm /usr/lib/libglade-2.0.so.0
ln -s /usr/lib/libglade-2.0.so.0.0.3 /usr/lib/libglade-2.0.so.0

Finally, all configuration tools work again.
Comment 3 Jannis Pohlmann 2005-02-26 06:17:11 EST
I changed the bug info to NOTABUG as this error is caused by a
libglade RPM from ATrpms. See
http://bugzilla.atrpms.net/show_bug.cgi?id=418 for a similar bug report.

Note You need to log in before you can comment on or make changes to this bug.